O vulnerabilitate Symantec pune în pericol sistemele Windows, Mac și Linux

O vulnerabilitate Symantec pune în pericol sistemele Windows, Mac și Linux
10:31 18.05.2016

A fost descoperită o nouă vulnerabilitate foarte gravă în soluțiile de antivirus Symantec și Norton ce afectează în egală măsură computerele cu Windows, Linux sau Mac OS X.

Aceasta nu este nici pe departe prima instanță de vulnerabilitate descoperită într-o soluție antivirus, dar rareori se întâmplă ca o gaură de securitate să fie la fel de periculoasă pentru utilizatorii de platforme diferite. Partea bună este că vulnerabilitatea nu a fost descoperită în eter, ci de către un expert în securitate de la Google.

Tavis Ormandy a descoperit noua vulnerabilitate în motorul de scanare în timp real al celor de la Symantec, același care este folosit în Symantec Antivirus, cât și Norton Antivirus. Într-un mod suprinzător de simplu, respectivul bug vă poate pune în pericol sistemul prin intermediul unui atașament de email pe care nici măcar nu trebuie să-l deschideți. Simpla acțiune de scanare fără intervenția voastră se poate finaliza cu infectarea PC-ului.

Pentru a exploata chiar voi această problemă este necesară utilizarea unei versiuni vechi a unei unelte de compresie pentru executabile. Respectiva acțiune va declanșa un memory buffer overflow la nivelul kernel-ului sistemului de operare, iar atacatorul va căștiga în timp real drepturi de root/administrator pe sistem.

În funcție de modul în care cineva încearcă să profite de noua vulnerabilitate, aceasta poate avea consecințe dezastruoase asupra computerului vostru. În contextul în care un antivirus activ scanează tot ce se petrece pe computer, de la atașamente primite prin email, până la link-uri accesate, vulnerabilitatea care afectează sistemele protejate cu soluții Symantec vă deschide porțile către un număr semnificativ de scenarii de infectare.

Din fericire, cei de la Symantec au fost foarte eficienți în a remedia problema sesizată de expertul în securitate de la Google, iar cea mai recentă actualizare servită prin LiveUpdate ar trebui să remedieze și această problemă. Momentan nu s-a descoperit nici un caz în care vulnerabilitate respectivă a fost exploatată.